Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceTimeResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceTimeResponse

All Implemented Interfaces:
  AceResponse

    public class AceTimeResponse

extends AbstractAceResponse
implements AceResponse

Constructor Summary
`AceTimeResponse(AceDatagram packet, AceRequest request)`
`AceTimeResponse(AceRequest requestPacket)`

Method Summary
`int` | `getTime()`
`void` | `processResponse()` Reads a response packet by reading from the byte-buffer.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, haveNodeSecret, readResponse, setNodeSecret, toString, writeResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getProtocolVersion, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, readResponse, toString, writeResponse`

Constructor Detail

### AceTimeResponse

    public AceTimeResponse(AceRequest requestPacket)
                    throws AcePacketException

Parameters:
  `requestPacket` -
Throws:
  `AcePacketException`

### AceTimeResponse

    public AceTimeResponse(AceDatagram packet,
                           AceRequest request)
                    throws AcePacketException

Parameters:
  `packet` -
Throws:
  `AcePacketException`

Method Detail

### processResponse

    public void processResponse()

  Description copied from class: `AbstractAceResponse`
  Reads a response packet by reading from the byte-buffer.

  Specified by:
    `processResponse` in interface `AceResponse`
  Overrides:
    `processResponse` in class `AbstractAceResponse`

### getTime

    public int getTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.